#version 150

uniform mat4 modelLightViewProjectionMatrix;
uniform mat4 modelMatrix;

in vec3 inPosition;

out vec4 vertexWorldPosition;

void main(void)
{
	vec4 vertex = vec4(inPosition, 1.0);

	gl_Position = modelLightViewProjectionMatrix * vertex;
	vertexWorldPosition = modelMatrix * vertex;
}